Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.core.ui.swt.custom
Class TextComboViewer

    java.lang.Object
      AbstractListViewer
          org.eclipse.birt.core.ui.swt.custom.TextComboViewer

    public class TextComboViewer

extends AbstractListViewer

TextComboViewer

Constructor Summary
`TextComboViewer(TextCombo list)`

Method Summary
`Control` | `getControl()`
`void` | `handleEvent(Event event)`
`protected void` | `listAdd(java.lang.String string, int index)`
`protected void` | `listDeselectAll()`
`protected int` | `listGetItemCount()`
`protected int[]` | `listGetSelectionIndices()`
`protected void` | `listRemove(int index)`
`protected void` | `listRemoveAll()`
`protected void` | `listSetItem(int index, java.lang.String string)`
`protected void` | `listSetItems(java.lang.String[] labels)`
`protected void` | `listSetSelection(int[] ixs)`
`protected void` | `listShowSelection()`
`void` | `reveal(java.lang.Object element)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextComboViewer

    public TextComboViewer(TextCombo list)

Method Detail

### handleEvent

    public void handleEvent(Event event)

### listAdd

    protected void listAdd(java.lang.String string,
                           int index)

### listSetItem

    protected void listSetItem(int index,
                               java.lang.String string)

### listGetSelectionIndices

    protected int[] listGetSelectionIndices()

### listGetItemCount

    protected int listGetItemCount()

### listSetItems

    protected void listSetItems(java.lang.String[] labels)

### listRemoveAll

    protected void listRemoveAll()

### listRemove

    protected void listRemove(int index)

### getControl

    public Control getControl()

### reveal

    public void reveal(java.lang.Object element)

### listSetSelection

    protected void listSetSelection(int[] ixs)

### listDeselectAll

    protected void listDeselectAll()

### listShowSelection

    protected void listShowSelection()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.